redis-shoot-out
===============

# Prerequisites

- download and gzip the redislabs-5.2.2-22-xenial-amd64.tar package and place in files
- it is in .gitignore so not checked in to git
- open an SSH forwarding connection for web configuration
```
ssh -L 8443:localhost:8443 redise
```

Ansible module that will setup the redis shoot out

1.    Install standalone Open Source Redis server version 4.x on Server A.
2.    Use memtier-benchmark tool created by RedisLabs, to load data into the standalone Redis.
3.    Install Redise Pack GA version on Server B (NOT fully automated)
4.    Setup Redise Pack using no DNS option. (It looks like this the default according to https://redislabs.com/redis-enterprise-documentation/administering/installing-upgrading/configuring/cluster-name-dns-connection-management/)
5.    Create Redis DB on Redise Pack. (NOT fully automated)
6.    Enable Replica Of between the Redise Pack and the Open Source Redis. (Source: OpenSource Redis, Target: Redise Pack) 
7.    Write a small script/routine in either Java, Python, Ruby, Go, Scala, C#, or JavaScript  to complete the following

      - see redis_example.rb in files directory
      - it is also installed on /home/ubuntu/redis_example.rb on the OSS node
